// JavaScript Document
///////////////////
/////SidebarGadgets.biz constants
//////////////////

var gSearchURL = new Array("http://www.cnn.com", "http://www.sidebargadgets.biz", "http://abcnews.go.com", "http://www.afghandaily.com", "http://allafrica.com", "http://www.channelnewsasia.com", "http://www.news.com.au", "http://www.thebangladeshtoday.com", "http://news.bbc.co.uk", "http://www.bgnewsnet.com", "http://www.cbc.ca/canada", "http://www.cbsnews.com", "http://www.chinadaily.com.cn", "http://www.chechentimes.org/en", "http://www.escambray.islagrande.cu/Eng/Default.htm", "http://www.foxnews.com", "http://www.canada.com/globaltv/national", "http://www.ekathimerini.com", "http://www.zeenews.com", "http://www.irannewsdaily.com", "http://www.ireland.com", "http://www.israel-news.org", "http://www.japannewsreview.com", "http://www.koreatimes.co.kr", "http://www.latinamericanpost.com", "http://www.nst.com.my", "http://www.msnbc.msn.com", "http://tvnz.co.nz", "http://www.aftenposten.no/english", "http://www.npr.org", "http://www.noriegaville.com", "http://www.gmanews.tv", "http://www.reuters.com", "http://www.arabnews.com", "http://news.scotsman.com", "http://www.thelocal.se", "http://www.sinorama.com.tw/en/index.php", "http://www.telegraph.co.uk", "http://www.turkishdailynews.com.tr", "http://www.ukrainianjournal.com", "http://www.un.org/News", "http://www.vatican.va/news_services/or/home_eng.html", "http://www.nhandan.com.vn/english");
var gSearchName = new Array("CNN", "Sidebar Gadgets", "ABC News", "Afganistan News", "Africa News", "Asia News", "Australia News", "Bangladesh News", "BBC News", "BNN", "CBC News", "CBS News", "China News", "Chechnya News", "Cuba News", "Fox News", "Global News", "Greece News", "India News", "IRan News", "Ireland News", "Israel News", "Japan News", "Korea News", "Latin America News", "Malaysia News", "MSNBC News", "New Zealand News", "Norway News", "NPR", "Panama News", "Philippine News", "Reuters News", "Saudi Arabia News", "Scottish News", "Sweden News", "Taiwan News", "Telegraph News UK", "Terkish News", "Ukrainian News", "UN News", "Vatican News", "Vietnam News");
//var gSearchURL ="http://www.cnn.com";
//var gSearchURL = new Array("", "http://www.sidebargadgets.biz", "http://abcnews.go.com", "http://www.afghandaily.com", "http://allafrica.com", "", "", "", "", "", "", "");
//var gSearchName = new Array("CNN", "Sidebar Gadgets", "ABC News", "Afganistan News", "Africa News", "", "", "", "", "", "", "");

//sample 
//http://www.sidebargadgets.biz
////////////////////////
//////Debug
/////////////////
function Debug(string)
{
	System.Debug.outputString(string);
}
///////////////////////////////
// Handlers for gadget's events
//////////////////////////////

function SettingsClosed(event)
{
	if (event.closeAction == event.Action.commit)
	{
		loadGadget();
	}    
}
                                                             
function SettingsClosing(event)
{
	if (event.closeAction == event.Action.commit)
	{
		SaveSettings();
	}  
	else if (event.closeAction == event.Action.cancel)
	{
	}
	event.cancel = false;
}

function CheckDockState()
{
	if (System.Gadget.docked)
    {
        //set dock state
		dockedState();
    }
    else
    {
        //set undock state
		undockedState();
    }
}

/////////////////////////////
///////Gadgets functions
//////////////////////////
//load gadget function
function loadGadget()
{
	Start();
	if (typeof (System) == 'undefined') return;
	//attach to events
	System.Gadget.onSettingsClosed = SettingsClosed;
	System.Gadget.onDock = CheckDockState;
	System.Gadget.onUndock = CheckDockState;
//	System.Gadget.settingsUI = "settings.html";
}
//event undocked
function undockedState()
{
	Debug("Undocked State");
}
//event docked
function dockedState()
{   
	Debug("docked State");
}

/////////////////////////////
/////Settings functions
///////////////////////////

//load settings function
function loadSettings()
{   Debug("Load settings");
	if (typeof (System) == 'undefined') return;
	System.Gadget.onSettingsClosing = SettingsClosing;
	if (System.Gadget.Settings.read("first_time")=="")
	{
Debug("1000");
		gad_time.value = gDefaultTime;
	}
	else
	{       Debug("00");
		var gTime = System.Gadget.Settings.read("gad_time");
		if (gTime == "") gad_time.value = gDefaultTime;
		else gad_time.value = gTime;
	}
}
//save settings function
function SaveSettings()
{
	System.Gadget.Settings.write("gad_time", gad_time.value);
	System.Gadget.Settings.write("first_time", "no");
}

///////////////////////
////Gadget custom code
///////////////////////
function Start()
{
	var myselect = document.getElementById("engine");
	var j=0;
	for(var i=0; i<43; i++)
	{
		if(gSearchName[i]!="")
		{
			myselect.options[j] = new Option(gSearchName[i],i);
			j++;
		}
	}
	myselect.selectedIndex=0;
	var myeng = document.getElementById("eng");
	myeng.value=myselect.options[0].text;
}

function Search(keyword)
{
	var myselect = document.getElementById("engine");
	if(myselect.selectedIndex != -1)
	{
		//replace %keyword
		var str=gSearchURL[myselect.options[myselect.selectedIndex].value].replace("%keyword%", document.getElementById("keyword").value);
//		alert(str);
		location.href=str;
	}
}

function Show()
{
	var mydiv = document.getElementById("select_box");
	mydiv.style.display = (mydiv.style.display=='none')?'':'none'; 
	return false;
}

function Select()
{
	var myselect = document.getElementById("engine");
	var myeng = document.getElementById("eng");
	myeng.value=myselect.options[myselect.selectedIndex].text;
	var mydiv = document.getElementById("select_box");
	mydiv.style.display = 'none'; 
}

function handleKeyPress(e,form)
{
	var key=e.keyCode || e.which;
	if (key==13)
	{
		Search();
	}
}
